PHPが更新されない

TOP Forums インストール(Installing KUSANAGI) PHPが更新されない

PHPが更新されない

Viewing 5 reply threads
  • Author
    Posts
    • #601
      collne
      Participant

      大変お世話になっています。
      AWSで利用させていただいています。いつもありがとうございます。

      初期のアップデートでPHPの更新に失敗します。

      「remi含むのアップデート実行前にyum -y update kusanagiを行ってください。」とのことで
      これを実行した後

      yum –enablerepo=remi,remi-php56 update -y

      を行いますと下記の様なエラーが出ます。

      Error: Package: kusanagi-php7-7.3.17-1.noarch (kusanagi)
      Requires: ImageMagick < 6.8
      Removing: ImageMagick-6.7.8.9-15.el7_2.x86_64 (@base)
      ImageMagick = 6.7.8.9-15.el7_2
      Updated By: ImageMagick-6.9.10.68-3.el7.x86_64 (base)
      ImageMagick = 6.9.10.68-3.el7
      Error: Package: kusanagi-php7-7.3.17-1.noarch (kusanagi)
      Requires: libMagickWand.so.5()(64bit)
      Removing: ImageMagick-6.7.8.9-15.el7_2.x86_64 (@base)
      libMagickWand.so.5()(64bit)
      Updated By: ImageMagick-6.9.10.68-3.el7.x86_64 (base)
      Not found

      PHPは7.0.20 のままとなっています。
      どうぞよろしくお願いします。

    • #602
      collne
      Participant

      初期のアップデートと書きましたが、既存のインスタンスでも更新されないようです。
      また、OpenSSLも更新されていませんでした。
      ご確認いただけたらと思います。
      どうぞよろしくお願いいたします。

    • #603
      hideishi
      Participant

      一時しのぎの対処ですが、以下を試してみてください。
      yum –enablerepo=remi,remi-php56 update -y –exclude=ImageMagick

    • #604
      collne
      Participant

      ありがとうございます。
      試してみたのですがダメでした。

      [root@kusanagi80 ~]# yum –enablerepo=remi,remi-php56 update -y –exclude=ImageMagick
      Loaded plugins: fastestmirror
      [root@kusanagi80 ~]#

    • #605
      hideishi
      Participant

      kusanagi-php7が更新されましたね。

      KUSANAGIモジュール更新情報


      ドキュメント通り
      yum –enablerepo=remi,remi-php56 update -y
      でいけると思います。

    • #606
      collne
      Participant

      ありがとうございます。
      下記でうまく行きました。

      yum –enablerepo=remi,remi-php56 update -y

Viewing 5 reply threads
  • You must be logged in to reply to this topic.

Next article

フォーラムについて